# EZ_Rotate

##

##

##

##

##

    NAME
           EZ_Rotate - generate a rotation matrix

    SYNOPSIS
           #include <EZ.h>

           void EZ_Rotate(float angle, float x, float y , float z)

    ARGUMENTS
           angle Specifies an angle, in degrees.

           x,y,z Specifies a direction.

    DESCRIPTION
           EZ_Rotate generates a matrix that performs a counterclock-
           wise  rotation  of  angle  degrees  about  the   direction
           [x,y,z],  and  applies the resulting matrix to the current
           matrix.

    SEE ALSO
           EZ_Scale(3), EZ_Translate(3), EZ_MultMatrix(3), EZ_PushMatrix(3)
           ,      EZ_LoadMatrix(3),      EZ_IdentityMatrix(3),
           EZ_MatrixMode(3)